curl --request GET \
--url https://api.eqho.ai/v1/simulation/results/{result_id} \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>'import requests
url = "https://api.eqho.ai/v1/simulation/results/{result_id}"
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>', 'x-org-id': '<api-key>'}};
fetch('https://api.eqho.ai/v1/simulation/results/{result_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/simulation/results/{result_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"_id": "<string>",
"account_id": "<string>",
"agent_id": "<string>",
"scenario_ids": [
"<string>"
],
"info": {
"num_trials": 123,
"max_steps": 123,
"max_errors": 123,
"agent_info": {
"agent_id": "<string>",
"ai_settings": {
"ai_model": "<string>",
"frequency_penalty": 123,
"max_tokens": 123,
"presence_penalty": 123,
"temperature": 123,
"reasoning": "none"
}
},
"simulated_lead_info": {
"ai_settings": {
"ai_model": "<string>",
"frequency_penalty": 123,
"max_tokens": 123,
"presence_penalty": 123,
"temperature": 123,
"reasoning": "none"
}
}
},
"total_runs": 123,
"scenario_set_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"completed_runs": 0,
"final_score": 123,
"pass_hat_ks": {},
"avg_agent_cost": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Simulation Result
Get a specific simulation results by ID
curl --request GET \
--url https://api.eqho.ai/v1/simulation/results/{result_id} \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>'import requests
url = "https://api.eqho.ai/v1/simulation/results/{result_id}"
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>', 'x-org-id': '<api-key>'}};
fetch('https://api.eqho.ai/v1/simulation/results/{result_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/simulation/results/{result_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"_id": "<string>",
"account_id": "<string>",
"agent_id": "<string>",
"scenario_ids": [
"<string>"
],
"info": {
"num_trials": 123,
"max_steps": 123,
"max_errors": 123,
"agent_info": {
"agent_id": "<string>",
"ai_settings": {
"ai_model": "<string>",
"frequency_penalty": 123,
"max_tokens": 123,
"presence_penalty": 123,
"temperature": 123,
"reasoning": "none"
}
},
"simulated_lead_info": {
"ai_settings": {
"ai_model": "<string>",
"frequency_penalty": 123,
"max_tokens": 123,
"presence_penalty": 123,
"temperature": 123,
"reasoning": "none"
}
}
},
"total_runs": 123,
"scenario_set_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"completed_runs": 0,
"final_score": 123,
"pass_hat_ks": {},
"avg_agent_cost": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Your API key for authentication.
Org impersonation via x-org-id. Superadmins may impersonate any org; admins may impersonate their direct sub-organizations. Enter the target organization ID to act as that org.
Path Parameters
24Response
Successful Response
The results of a simulation run
Account ID that owns this simulation run
ID of the Agent being simulated
IDs of the Simulation Scenarios being run
Information.
Show child attributes
Show child attributes
The total number of simulation runs in this batch
Scenario set that was used for this simulation
The end time of the simulation.
The number of completed simulation runs
The final score of the simulation. Computed as the average reward over all scenarios.
Average score in trial/pass k
Show child attributes
Show child attributes
The average cost of the agent over all scenarios.
Was this page helpful?